Subject: Re: [PATCH v10] setup: improve error diagnosis for invalid .git files

From: Junio C Hamano <[email-masked]>
Date: Mon, 23 Feb 2026 11:27:02 -0800

Tian Yuchen <[email-masked]> writes:

> Hi Junio,
>
>  > But at some point, we may want to drop _ERR in those two new "these 
> are not
>  > errors" return values.
>
> For the v11 I sent earlier, I kept `READ_GITFILE_ERR_MISSING` to 
> maintain namespace consistency with the existing `READ_GITFILE_ERR_*` 
> macros. However, I can't deny that decoupling these into neutral status 
> codes (e.g., `READ_GITFILE_MISSING` vs actual fatal errors) also makes 
> sense.
>
> I'd be more than happy to drop the `_ERR` prefix in a v12 if you think 
> it's better to address this cleanup right now, or we can definitely 
> leave it for a future cleanup patch as you suggested.

Nah, we are quickly approaching the point of diminishing return.
Let's see if we need to kill more fundamental bugs before
bikeshedding the constant names.

Thanks.